Support » Plugin: Work The Flow File Upload » Jquery/Javascript plugin conflicts

  • Resolved bluefire2121

    (@bluefire2121)


    Hi there,
    Thanks for making this great plugin.

    When using this plugin with WP Canvas or Mutli Rating Pro, conflicts arrive. On WP Canvas, I can’t expand or collapse the accordians. I switched to another plugin to combat this problem. For Multi Rating Pro, I purchased the plugin so that users can rate post within the WordPress comment field. When both Work the Flow and Multi Rating Pro are enabled, I can’t select the star ratings within the comments. Unfortunately there are no great alternatives for Multi Rating Pro and I really need these plugins to work together.

    Any advice? What could be causing the conflict? How can this be resolved?

    Thanks again for taking the time to develop Work the Flow!

    https://wordpress.org/plugins/work-the-flow-file-upload/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author lynton_reed

    (@lynton_reed)

    I will try wpcanvas and see if I can see the error and find a work around . It sounds like the accordion js is conflicting with the other plugins accordion functionality.

    I don’t have the other pro one so can’t test that.

    I will check this before the next release sometime, but not fore at least a few days.

    If you have any additional info on steps to reproduce the problem then please let me know.

    Plugin Author lynton_reed

    (@lynton_reed)

    Hi,

    I installed WP Canvas and the only accordions I could see in the admin Widgets page worked fine, as did the wtf_fu plugin documentation accordions.

    If you can explain more about where you saw the conflict between WP canvas and wtf-fu then I will look again. I don’t have Multi Rating Pro so cant test that one.

    I have made a change anyway to make the accordions less susceptible to conflict by renaming the classes with a wtf_fu prefix which may well resolve whatever your issue was anyway,

    This will be released shortly (in version >= 3.0.0) If you can try it out and report back if it worked or not that would be great.

    thanks,
    Lynton

    Plugin Author lynton_reed

    (@lynton_reed)

    oh, also for the record, the imported jquery-ui scripts are now more compatible with the wordpress noconflict mode scripts, which may also have been a possible cause of conflict prior to version 3.0.0.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Jquery/Javascript plugin conflicts’ is closed to new replies.